Bug 456740 - software updater has a bug
software updater has a bug
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.4
All Linux
low Severity urgent
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 18:22 EDT by John Coleman
Modified: 2014-01-21 01:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 01:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The log from the crash (1.99 KB, application/octet-stream)
2008-07-25 18:22 EDT, John Coleman
no flags Details

  None (edit)
Description John Coleman 2008-07-25 18:22:51 EDT
Description of problem:I started the software updater and it started downloading
the updates and as it was taking a long time I left it doing this. When I
returned the server would not respond. I had to do a hard reboot. Now when I
start the software I get an error that says " An unhandled exception has
occurred. This is most likeley a bug. Please save the crash dump and file a
detailed bug report against software updater."


Version-Release number of selected component (if applicable):


How reproducible: everey time 


Steps to Reproduce:
1.
2.
3.
  
Actual results:No updates


Expected results:Updates or to be told no updates available


Additional info:
Comment 1 John Coleman 2008-07-25 18:22:51 EDT
Created attachment 312691 [details]
The log from the crash
Comment 4 seth vidal 2009-02-24 15:00:00 EST
can you report the output of:

rpm -qa | grep yum

I think you have a duplicate yum-metadata-parser.
Comment 5 James Antill 2009-03-25 01:48:05 EDT
Yeh, we've seen this before ... when doing the update from 5.1 to 5.2 a few people reported aborted rpm transactions and were left with multiple y-m-p packages.

Note You need to log in before you can comment on or make changes to this bug.